Bug 537664 - tail -F will sometimes stop working upon rotation
tail -F will sometimes stop working upon rotation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
http://marc.info/?l=coreutils-bug&m=1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-15 10:30 EST by Jim Meyering
Modified: 2013-03-13 16:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 7.6-7.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 23:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Meyering 2009-11-15 10:30:41 EST
Description of problem: tail -F is not reliable


Version-Release number of selected component (if applicable):
coreutils-7.5 through coreutils-8.0

How reproducible:


Steps to Reproduce:
1. run this repeatedly, each time in an empty directory:

:>k && :>x && timeout 1 ../tail -F k > out 2>/dev/null &
echo b >> k; sleep .01; env mv x k; sleep .01; echo ok >> k
sleep .01; grep ok out > /dev/null && ok=. || ok=X; printf $ok

2.
3.
  
Actual results: it outputs a mix of "X"s (failure) and "."s (success)


Expected results: all "."s


Additional info: see tests, and patch here:
http://marc.info/?l=coreutils-bug&m=125829031916515
Comment 1 Ondrej Vasik 2009-11-15 12:52:29 EST
Thanks for heads-up and patch, Jim.
Comment 2 Fedora Update System 2009-11-23 06:20:27 EST
coreutils-7.6-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/coreutils-7.6-7.fc12
Comment 3 Fedora Update System 2009-11-25 10:28:49 EST
coreutils-7.6-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update coreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12163
Comment 4 Fedora Update System 2009-11-30 23:35:08 EST
coreutils-7.6-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.